#
# spec file for package perl-Test-Warnings
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Test-Warnings
Version:        0.016
Release:        2.1.2
%define cpan_name Test-Warnings
Summary:        Test for warnings and the lack of them
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Test-Warnings/
Source:         http://www.cpan.org/authors/id/E/ET/ETHER/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More) >= 0.94
BuildRequires:  perl(parent)
BuildRequires:  perl(version)
Requires:       perl(parent)
%{perl_requires}

%description
If you've ever tried to use the Test::NoWarnings manpage to confirm there
are no warnings generated by your tests, combined with the convenience of
'done_testing' to not have to declare a Test::More/I love
it-when-a-plan-comes-together, you'll have discovered that these two
features do not play well together, as the test count will be calculated
_before_ the warnings test is run, resulting in a TAP error. (See
'examples/test_nowarnings.pl' in this distribution for a demonstration.)

This module is intended to be used as a drop-in replacement for the
Test::NoWarnings manpage: it also adds an extra test, but runs this test
_before_ 'done_testing' calculates the test count, rather than after. It
does this by hooking into 'done_testing' as well as via an 'END' block. You
can declare a plan, or not, and things will still Just Work.

It is actually equivalent to:

    use Test::NoWarnings 1.04 ':early';

as warnings are still printed normally as they occur. You are safe, and
enthusiastically encouraged, to perform a global search-replace of the
above with 'use Test::Warnings;' whether or not your tests have a plan.

It can also be used as a replacement for the Test::Warn manpage, if you
wish to test the content of expected warnings; read on to find out how.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes CONTRIBUTING examples LICENSE README README.md weaver.ini

%changelog
* Mon Jul 28 2014 coolo@suse.com
- updated to 0.016
  - fix prereq problem with last release - now no longer testing the
    example scripts for user installs
  0.015     2014-06-20 03:36:33Z
  - adjusted packaging and tests to become perl-5.6 friendly,
    including only using core or dual-lifed prerequisites
  0.014     2014-03-01 22:08:26Z
  - fix test that was failing when FOO or BAR environment variables
    were set (RT#93447)
  0.013     2013-12-14 21:26:06Z
  - update configure_requires checking in Makefile.PL
* Mon Nov 25 2013 coolo@suse.com
- updated to 0.012
  - re-release to fix t/00-report-prereqs.t use of
    CPAN::Meta::Requirements
  - unnecessary tests removed; CONTRIBUTING file added
* Fri Oct  4 2013 coolo@suse.com
- updated to 0.010
  - re-release with fixed compile test
  - fixed error in synopsis (we do not export anything by default)
  - a caveat added to the documentation regarding embedding warning
    checks inside another sub (this is for you, ribasushi!!!)
  - ':no_end_test' now also covers side effects of done_testing, as
    well as END blocks, making it possible to use the warning(s) subs
    without having an end warning test while using done_testing
    (necessary when combining with the 'if' pragma)
* Mon Aug  5 2013 coolo@suse.com
- fix usage of Module::Build::Tiny
* Sat Jul 27 2013 coolo@suse.com
- updated to 0.008
  - compile test updated, to hopefully fix mswin32 parsing issues
  - fix subtest tests to work on Test::More before 0.95_01
    (RT#86802)
  - remove use of Class::Method::Modifiers
  - new feature: warnings { code } and warning { code }, for capturing
    the contents of warnings for subsequent testing
* Tue Jun  4 2013 coolo@suse.com
- initial package 0.004
  * created by cpanspec 1.78.06
